<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: pid_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">pid_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pid__controller_8h_source.html">pid_controller.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ac9bdf7fe0be3e307ec0218f9d806f81d"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpid__t.html#ac9bdf7fe0be3e307ec0218f9d806f81d">set_point</a></td></tr>
<tr class="separator:ac9bdf7fe0be3e307ec0218f9d806f81d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f7add0f84d583bc2eceb290d6c4cc06"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpid__t.html#a1f7add0f84d583bc2eceb290d6c4cc06">kp</a></td></tr>
<tr class="separator:a1f7add0f84d583bc2eceb290d6c4cc06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a050993b7ca6c97e62c1020017f716b91"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpid__t.html#a050993b7ca6c97e62c1020017f716b91">ki</a></td></tr>
<tr class="separator:a050993b7ca6c97e62c1020017f716b91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7a5c6018507bb1361fcca170e069b9c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpid__t.html#ae7a5c6018507bb1361fcca170e069b9c">kd</a></td></tr>
<tr class="separator:ae7a5c6018507bb1361fcca170e069b9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1edebf7e0ad0658e34319952ca4227b"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpid__t.html#ab1edebf7e0ad0658e34319952ca4227b">min_output_limit</a></td></tr>
<tr class="separator:ab1edebf7e0ad0658e34319952ca4227b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ffe8ca155ad7dac8b88208f24b122c1"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpid__t.html#a4ffe8ca155ad7dac8b88208f24b122c1">max_output_limit</a></td></tr>
<tr class="separator:a4ffe8ca155ad7dac8b88208f24b122c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad448f00939b7adde7f5076732f2ff177"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpid__t.html#ad448f00939b7adde7f5076732f2ff177">acceptable_error</a></td></tr>
<tr class="separator:ad448f00939b7adde7f5076732f2ff177"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1174af01b8a329a6d465ea6e0951b3e5"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpid__t.html#a1174af01b8a329a6d465ea6e0951b3e5">integral</a></td></tr>
<tr class="separator:a1174af01b8a329a6d465ea6e0951b3e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53bf2ded26ca455e1227890c20123cd9"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpid__t.html#a53bf2ded26ca455e1227890c20123cd9">last_error</a></td></tr>
<tr class="separator:a53bf2ded26ca455e1227890c20123cd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="ad448f00939b7adde7f5076732f2ff177"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad448f00939b7adde7f5076732f2ff177">&#9670;&nbsp;</a></span>acceptable_error</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float acceptable_error</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1174af01b8a329a6d465ea6e0951b3e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1174af01b8a329a6d465ea6e0951b3e5">&#9670;&nbsp;</a></span>integral</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float integral</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7a5c6018507bb1361fcca170e069b9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7a5c6018507bb1361fcca170e069b9c">&#9670;&nbsp;</a></span>kd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float kd</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a050993b7ca6c97e62c1020017f716b91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a050993b7ca6c97e62c1020017f716b91">&#9670;&nbsp;</a></span>ki</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float ki</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f7add0f84d583bc2eceb290d6c4cc06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f7add0f84d583bc2eceb290d6c4cc06">&#9670;&nbsp;</a></span>kp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float kp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a53bf2ded26ca455e1227890c20123cd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53bf2ded26ca455e1227890c20123cd9">&#9670;&nbsp;</a></span>last_error</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float last_error</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4ffe8ca155ad7dac8b88208f24b122c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ffe8ca155ad7dac8b88208f24b122c1">&#9670;&nbsp;</a></span>max_output_limit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float max_output_limit</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1edebf7e0ad0658e34319952ca4227b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1edebf7e0ad0658e34319952ca4227b">&#9670;&nbsp;</a></span>min_output_limit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float min_output_limit</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac9bdf7fe0be3e307ec0218f9d806f81d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9bdf7fe0be3e307ec0218f9d806f81d">&#9670;&nbsp;</a></span>set_point</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float set_point</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>controller_pid/<a class="el" href="pid__controller_8h_source.html">pid_controller.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
